import xml.dom.ext
import xml.dom.minidom

doc = xml.dom.minidom.Document()

agente = doc.createElementNS("md5", "ConectaGerente")
doc.appendChild(agente)

# install
acao = doc.createElementNS("md5", "instalar")
agente.appendChild(acao)

item = doc.createElementNS("md5", "nome")
acao.appendChild(item)
descricao = doc.createTextNode("knemo")
item.appendChild(descricao)
item.normalize

item = doc.createElementNS("md5", "versao")
acao.appendChild(item)
descricao = doc.createTextNode("1.5")
item.appendChild(descricao)
item.normalize


# upgrade
# install
acao = doc.createElementNS("md5", "atualizar")
agente.appendChild(acao)

item = doc.createElementNS("md5", "nome")
acao.appendChild(item)
descricao = doc.createTextNode("knemo")
item.appendChild(descricao)
item.normalize

item = doc.createElementNS("md5", "versao")
acao.appendChild(item)
descricao = doc.createTextNode("1.5")
item.appendChild(descricao)
item.normalize


xml.dom.ext.PrettyPrint(doc)

file_object = open("teste.xml", "w")
xml.dom.ext.PrettyPrint(doc, file_object)
file_object.close()